PETSc version 3.15.5
Fix/Edit manual page

# TAOBQNKTL

Bounded Quasi-Newton-Krylov Trust-region with Line-search fallback, for nonlinear minimization with bound constraints. This method approximates the Hessian-vector product using a limited-memory quasi-Newton formula, and iteratively inverts the Hessian with a Krylov solver. The quasi-Newton matrix and its settings can be accessed via the prefix `-tao_bqnk_`

### Options Database Keys

| -tao_bqnk_max_cg_its | - maximum number of bounded conjugate-gradient iterations taken in each Newton loop
| -tao_bqnk_init_type | - trust radius initialization method ("constant", "direction", "interpolation")
| -tao_bqnk_update_type | - trust radius update method ("step", "direction", "interpolation")
| -tao_bqnk_as_type | - active-set estimation method ("none", "bertsekas")

### Level

beginner

### Location

src/tao/bound/impls/bqnk/bqnktl.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages